ranch:handshake_continue(3)

NAME

ranch:handshake_continue - Resume the paused transport handshake

DESCRIPTION
    handshake_continue(Ref)       -> {ok, Socket}
    handshake_continue(Ref, Opts) -> {ok, Socket}

    Ref    :: ranch:ref()
    Opts   :: any()
    Socket :: any()

Resume the paused transport handshake.

This function must be called by the protocol process in order to resume a paused handshake.

ARGUMENTS

Ref
    The listener name.

Opts
    Transport handshake options.

    Allowed options depend on the transport module.

RETURN VALUE

An ok tuple is returned containing the socket for the connection.

This function will trigger an exception when an error occurs.

CHANGELOG
    • 2.0: Function introduced.

EXAMPLES

Continue a paused transport handshake
    start_link(Ref, Transport, Opts) ->
        Pid = proc_lib:spawn_link(?MODULE, init,
            [Ref, Transport, Opts]),
        {ok, Pid}.

    init(Ref, Transport, Opts) ->
        {continue, _Info} = ranch:handshake(Ref),
        {ok, Socket} = ranch:handshake_continue(Ref),
        loop(#state{ref=Ref, socket=Socket,
            transport=Transport, opts=Opts}).

SEE ALSO

ranch:handshake(3), ranch:handshake_cancel(3), ranch(3)